Subject: Re: [PATCH net-next] net: wan: fsl_qmc_hdlc: Convert to platform remove callback returning void

From: Herve Codina <[email-masked]>
Date: Tue, 9 Apr 2024 11:20:27 +0200

On Tue,  9 Apr 2024 11:12:04 +0200
Uwe Kleine-König <[email-masked]> wrote:

> The .remove() callback for a platform driver returns an int which makes
> many driver authors wrongly assume it's possible to do error handling by
> returning an error code. However the value returned is ignored (apart
> from emitting a warning) and this typically results in resource leaks.
> 
> To improve here there is a quest to make the remove callback return
> void. In the first step of this quest all drivers are converted to
> .remove_new(), which already returns void. Eventually after all drivers
> are converted, .remove_new() will be renamed to .remove().
> 
> Trivially convert this driver from always returning zero in the remove
> callback to the void returning variant.
> 
> Signed-off-by: Uwe Kleine-König <[email-masked]>
> ---
> Hello,
> 
> the drivers below of drivers/net were already converted to struct
> platform_driver::remove_new during the v6.9-rc1 development cycle. This
> driver was added for v6.9-rc1 and so missed during my conversion.
> 
> There are still more drivers to be converted, so there is from my side
> no need to get this into v6.9, but the next merge window would be nice.
> 
> Best regards
> Uwe
> 
>  drivers/net/wan/fsl_qmc_hdlc.c | 6 ++----
>  1 file changed, 2 insertions(+), 4 deletions(-)
> 

Acked-by: Herve Codina <[email-masked]>

Best regards,
Hervé